Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/tasks/$TASK_ID/recover \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"action": "SKIP_STEP",
"note": "The borrower has moved abroad and the step cannot be completed.",
"targetStage": "CONFIRM_EMPLOYMENT",
"overrideUnmetGates": true ,
"overrideReason": "Supervisor accepts the evidence gap; the file is documented."
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/tasks/${taskId}/recover` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"action": "SKIP_STEP",
"note": "The borrower has moved abroad and the step cannot be completed.",
"targetStage": "CONFIRM_EMPLOYMENT",
"overrideUnmetGates": true ,
"overrideReason": "Supervisor accepts the evidence gap; the file is documented."
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/tasks/{task_id}/recover" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotency_key},
json={
"action": "SKIP_STEP",
"note": "The borrower has moved abroad and the step cannot be completed.",
"targetStage": "CONFIRM_EMPLOYMENT",
"overrideUnmetGates": true ,
"overrideReason": "Supervisor accepts the evidence gap; the file is documented."
},
)200 400 401 403 404 409
{
"taskId": 7731 ,
"resourceId": 7731 ,
"changes": {
"status": "COMPLETED",
"assignedWorkerId": 5101
}
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}